summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver
diff options
context:
space:
mode:
authorFilip Tehlar <ftehlar@cisco.com>2016-06-29 14:53:39 +0200
committerFilip Tehlar <ftehlar@cisco.com>2016-06-29 15:48:00 +0200
commit572c17d6b9db44b8e0fb70222a13272fe41a4a7e (patch)
treed101e68bf3591d592a648080fe29b962b95f5f60 /tests/data_plane/vpp_lite_topo/test_driver
parentaf09353134cdd9c6ea250851b22086e7237073d4 (diff)
Add RTR + EID virt test (6over46)
Change-Id: Ia21075fc33059165f1fcef1bcb177e54dee0e6b8 Signed-off-by: Filip Tehlar <ftehlar@cisco.com>
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh50
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh4
2 files changed, 52 insertions, 2 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh b/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh
new file mode 100644
index 0000000..46e0918
--- /dev/null
+++ b/tests/data_plane/vpp_lite_topo/test_driver/rtr_two_iface_two_customers.sh
@@ -0,0 +1,50 @@
+source config.sh
+source odl_utils.sh
+source topologies/rtr_two_iface_two_customers.sh
+
+ODL_CONFIG_FILE1="vpp1_customer1.json"
+ODL_CONFIG_FILE2="vpp2_customer1.json"
+ODL_CONFIG_FILE3="vpp1_customer2.json"
+ODL_CONFIG_FILE4="vpp2_customer2.json"
+
+if [ "$1" == "clean" ] ; then
+ rtr_two_iface_clean
+ exit 0
+fi
+
+if [[ $(id -u) != 0 ]]; then
+ echo "Error: run this as a root."
+ exit 1
+fi
+
+function test_rtr_two_iface_two_customers {
+ rtr_two_iface_two_customers_setup
+ sleep 1
+
+ test_result=0
+ rc=0
+
+ ip netns exec vpp1-cus1-ns "${1}" -w 20 -c 1 "${2}"
+ rc=$?
+ if [ $rc -ne 0 ] ; then
+ echo "Error: customer 1 did not receive any response!"
+ test_result=1
+ fi
+
+ ip netns exec vpp1-cus2-ns "${1}" -w 20 -c 1 "${2}"
+ rc=$?
+ if [ $rc -ne 0 ] ; then
+ echo "Error: customer 2 did not receive any response!"
+ test_result=1
+ fi
+
+ rtr_two_iface_two_customers_clean
+
+ if [ $rc -ne 0 ] ; then
+ echo "Test failed: No ICMP response received within specified timeout limit!"
+ else
+ echo "Test passed."
+ fi
+
+ exit $test_result
+}
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh b/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh
index 79349b6..174a683 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/two_customers_topo.sh
@@ -30,7 +30,7 @@ function test_eid_virtualization {
ip netns exec vpp1-cus1-ns "${1}" -w 20 -c 1 "${2}"
rc=$?
if [ $rc -ne 0 ] ; then
- echo "Error: customer 1 did not reveive any response!"
+ echo "Error: customer 1 did not receive any response!"
fi
#read -p "press any key to continue .." -n1
@@ -38,7 +38,7 @@ function test_eid_virtualization {
ip netns exec vpp1-cus2-ns "${1}" -w 20 -c 1 "${2}"
rc=$?
if [ $rc -ne 0 ] ; then
- echo "Error: customer 2 did not reveive any response!"
+ echo "Error: customer 2 did not receive any response!"
fi
# two_customers_topo_clean